patchboot coverage failure and review

asked 2016-12-12 12:24:38 -0600

Dom gravatar image

updated 2016-12-12 12:49:11 -0600

kcrisman gravatar image

Hi sage team, My ticket #20154: train-tracks in public/train-track, is in need-work status, I guess the issue comes from coverage. But I do not see the fie ext/interpreters/wrapper_cc.pyx in my distribution , and for me this file doesn't belong to the ticket (that was true previously whent the patchboot works). I have absolutly no idea how to fix it, could you please tell me what to do to fix it and succes the review.

Thanks Dominique

========== coverage ==========
git checkout patchbot/ticket_merged
Already on 'patchbot/ticket_merged'
Missing doctests in ext/interpreters/wrapper_cc.pyx: 0 / 2 = 0%
Full doctests in groups/free_groups/convex_core.py: 18 / 18 = 100%
Full doctests in groups/free_groups/free_group.py: 22 / 22 = 100%
Full doctests in groups/free_groups/free_group_automorphism.py: 61 / 61 = 100%
Full doctests in groups/free_groups/graph_map.py: 18 / 18 = 100%
Full doctests in groups/free_groups/graph_self_map.py: 41 / 41 = 100%
Full doctests in groups/free_groups/inverse_alphabet.py: 24 / 24 = 100%
Full doctests in groups/free_groups/inverse_graph.py: 40 / 40 = 100%
Full doctests in groups/free_groups/marked_graph.py: 16 / 16 = 100%
Full doctests in groups/free_groups/test_train_track.py: 4 / 4 = 100%
Full doctests in groups/free_groups/train_track_map.py: 23 / 23 = 100%
Coverage went from 41463 / 43258 = 95.850% to 41711 / 43508 = 95.870%
edit retag flag offensive close merge delete

Comments

no, the "needs work" is because the branch is red (does not apply on the latest beta)

FrédéricC gravatar imageFrédéricC ( 2016-12-12 13:41:10 -0600 )edit